Jedicut et windows 7

#1
Bonsoir Jerome,

Cela fait pas mal de temps que j'utilise Jedicut avec Windows 7, moyennant le déplacement des plugs-in qui utilisent le IO.dll, ça fonctionne parfaitement bien ! Je te suggère donc d'ajouter sur la page de téléchargement un zip "version windows 7" sans ces plugs-in ni le IO.dll.

Re: Jedicut et windows 7

#2
Salut,

Il faut les déplacer car il génère des messages d'erreur sous Win7 ? Je testerai pour voir ça.
Si c'est le cas, alors pas de version spéciale Win7. Je modifierai le setup pour qu'il n'installe pas ces dll sous Win7 et Vista.

Tu ne l'as peut être pas remarqué, mais dans le dernier setup le plugin dxf et ton plugin Win7 ne sont pas installés sur tes PC avec Win95/98/XP car pour le cas, c'est plugins provoque de nombreux messages d'erreurs sur ces versions de Windows.
Jerome

Re: Jedicut et windows 7

#3
Jerome a écrit:
-------------------------------------------------------
> Salut,
>
> Il faut les déplacer car il génère des messages
> d'erreur sous Win7 ? Je testerai pour voir ça.
> Si c'est le cas, alors pas de version spéciale
> Win7. Je modifierai le setup pour qu'il n'installe
> pas ces dll sous Win7 et Vista.

Oui, je te le confirme, le IO.dll génére divers message sous win7 64bits s'il est appelé par un plug-in. Soit un "Unable to extract IO...." plusieures fois de suite (autant qu'il y a de plug-in qui l'appellent lorsque Jedicut les lit) soit un "erreur de chargement de la librairie", suivant les cas, on a parlé de cela sur un autre post.

En fait peu importe ce que tu peux faire, l'essentiel est d'indiquer que Jedicut fonctionne également sous Windows 7.

> Tu ne l'as peut être pas remarqué, mais dans le
> dernier setup le plugin dxf et ton plugin Win7 ne
> sont pas installés sur tes PC avec Win95/98/XP car
> pour le cas, c'est plugins provoque de nombreux
> messages d'erreurs sur ces versions de Windows.

Comme j'utilise les zip, non je n'ai pas remarqué. Pour les 95/98 c'est normal, inpout32.dll n'est pas prévu pour ça, c'est pour cela qu'il faut conserver le IO.dll et ses plug-in. Par contre sur XP tu m'étonne, je te garantie que le "CncNet_win_XP_vista_7_32_x64.dll" et le inpout32.dll fonctionnent, vu que je l'ai développé avec (Delphi 7 ne fonctionnant pas avec mon win7).

Re: Jedicut et windows 7

#4
Salut Jerome,
Le plugin DXF, c'est à dire ma dll CNCTools fonctionne très bien sous windows XP. Donc je ne comprends pas que tu ne l'installes pas...
Je t'ai envoyé la derniére version de la dll recompilé sous VS2005 qui devrait la rendre compatible avec au moins Win98, mais je suis sans réponse de ta part. Comme pour mes 3 autres emails sur les plugins d'ailleurs...
A+ Pascal

Re: Jedicut et windows 7

#6
Salut !

Vous me collez le doute d'un coup. Je ne sais plus si le setup de Jedicut installe le plugin dxf sous xp. Je vérifierai ce soir si j'ai le temps. Et si ce n'est pas le cas je corrigerai ça.

Pascal je n'avais pas vu tes 2 derniers mails et je n'ai pas eu le temps de repondre au 3e. Pour intégrer rp-fc au comparatif il n'y a aucun problème et j'y pensai justement.Je t'enverrai le tableau à remplir. Je viens de trouver ton mail avec la nouvelle dll pour win98, je ne l'avais pas vu. Je vais communiquer sur le sujet pour trouver des testeurs ;)

Pour info, j'ai énormément de boulot depuis 10 jours et je n'ai pas eu le temps d'accéder à mon pc. je réponds aux mails et forum depuis mon téléphone, depuis lequel il est simple de rater un mail dans la masse. Mon temps de réponse s'allonge un peu mais je suis toujours là ;)
Jerome

Re: Jedicut et windows 7

#7
Contrairement à ce que j'ai dit, le setup installe le plugin dxf à partir de WinXP, et pas sur les versions inférieures.

Vincent, sais tu si ton plugin fonctionne sous WinXP ? Car le setup installe ton plugin de la même façon que le plugin dxf.

Je republierai un nouveau setup en enlevant les plugins qui sont gênants sous Win 7
Jerome

Re: Jedicut et windows 7

#8
Salut Jérome,
Oui il fonctionne sous XP avec la librairie opensource inpout32.dll. Par contre je te rappelle attention aux versions de inpout32.dll, il faut la 1.3.0.0 car c'est la seule qui fonctionne bien de XP à windows 7, en 32 ou 64 bits (avec Vista en théorie c'est bon aussi, mais je n'en ai pas pour essayer). Je viens de vérifier c'est bien celle qui est dans le zip de Jedicut 2.3, donc no soucis :-)

Pour simple info j'ai déplacé le patch msi que j'avais fait sur google code (il n'apparait plus dans les donwloads, il est dans les "deprecated" ) car il n'a plus vraiment d'utilité maintenant vu que le plug-in est maintenant intégré dans l'installation.

Re: Jedicut et windows 7

#9
Horreur ::o

Désolé Jerome je n'ai pas été assez précis ! Par hasard, je viens de m'apercevoir que mon plug-in fonctionne très bien sous XP avec....les version ANTERIEURES à la 2.3.0 ! (j'étais resté à la 2.2.2 built 6)

Pas de soucis par exemple avec la 2.2.2.0, les beta built 4, 5, et 6 (heureusement que j'avais gardé les zip)

Mais avec la 2.3.0, j'ai des erreurs lors d'une demande de déplacement avec le controle manuel : "Erreur de thread : Description non valide (6)". Si j'insiste, le message réapparait et j'en obtiens ensuite un autre : "Erreur dans l'utilisation de la dll. Vérifiez que la dll sélectionnée corresponde à votre utilisation.". Ensuite la fenetre "découpe en cours" s'ouvre enfin, le bargraph de progression se passe mais le port parallèle ne semble rien envoyer...

J'ai retéléchargé la source du plug-in CncNet_XP, qui lui fonctionne (enfin j'ai pas testé toutes les versions de jedicut une à une) , et je l'ai de nouveau réadapté pour l'utilisation de inpout32.dll...Rien à faire, même messages...Les manières d'appeler des dll ont aussi changé dans jedicut 2.3.0 ????

:S :S

Re: Jedicut et windows 7

#10
Je ne me rappelle pas avoir touché la structure des plugins de communication entre la dernière beta et la version finale de Jedicut.

Je te renvoie le code du plugin de la MM2001 que tu puisses comparer avec ton plugin. Je n'ai pas encore déposer les sources sur le svn.
Jerome

Qui est en ligne

Utilisateurs parcourant ce forum : Google [Bot] et 1 invité

cron